QGIS Application - Bug report #10931
no zebra frame in print composer
2014-07-23 03:49 AM - matteo ghetta

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19289
Description

In ggis master (2.5) | cannot draw the zebra frame of a map.
If I activate it, nothing appears in the map canvas. | noticed this behaviour since the multiple grids option is available.

History

#1 - 2014-07-23 04:54 AM - Nyall Dawson
- Status changed from Open to Feedback

It's working ok for me - can you please post steps to reproduce this, or a sample project?

#2 - 2014-07-23 05:02 AM - matteo ghetta
- File 46.png added
- File shapefile.zip added

yep..
in attach a single shape used (but nothing changed with other layers) and a screenshot that shows that the frame option is not activated.

#3 - 2014-07-23 03:54 PM - Nyall Dawson

Did you attach the right file? There's no project file in that archive. Also, can you confirm whether this is a new project or one which was created in 2.4?

#4 - 2014-07-24 01:21 AM - matteo ghetta
- File files.zip added

Sorry Nyall, | though that the single file was enough..
| attach the project file with the same shapefile. Anyway, yes, I'm working on a debian machine and | use the nightly repos to update the software.

#5 - 2014-07-24 04:43 AM - Giovanni Manghi

works fine here in qgis master (on Ubuntu 14.04) and the provided project.
#6 - 2014-07-28 04:51 PM - Nyall Dawson

Works OK for me too.. can you attach a screencast showing the process you use to trigger this?

#7 - 2014-07-29 01:45 AM - matteo ghetta
- Status changed from Feedback to Closed

Now it works fine, maybe thanks to the last update.
Thanks

#8 - 2014-12-29 08:59 AM - Bogdan Hlevca
- Status changed from Closed to Reopened

Sorry to reopen it but it does not work in 2.6.1.

| have a project created in 2.4 and when | open the Composer the frame is not displayed. Moreover, the coordinates around the frame also do not appear
and whatever | tried to do did not help.

There is either a incompatibility between 2.4 and 2.6 at composer level or there is a bug. | create my versions from GIT and just switching the checkout
version produces this error. According to some reports that can be read at the link below

the issue appears for some and not for others. This will rather point to a incompatibility, maybe deleting the ".qgis2" director could help, but | would lose all
my history and settings. | will have to check that, but at the time | am under time pressure to fix some maps and for the time being | reverted to 2.4.

There is definitely a problem but we need to find what that is. There are other issues with the composer most likely due to the same incompatibility ( for
example : the map is set by default to rectangle and after changing it to Render the map takes minutes to appear; but this is for another bug report

perhaps)

[[https://gis.stackexchange.com/questions/120887/zebra-grid-is-not-displayed-in-map-composer/1277404#127740]]

#9 - 2014-12-29 09:19 AM - Giovanni Manghi
- Status changed from Reopened to Closed

- Resolution set to fixed/implemented

Bogdan Hlevca wrote:

Sorry to reopen it but it does not work in 2.6.1.

| have a project created in 2.4 and when | open the Composer the frame is not displayed. Moreover, the coordinates around the frame also do not
appear and whatever | tried to do did not help.

There is either a incompatibility between 2.4 and 2.6 at composer level or there is a bug. | create my versions from GIT and just switching the
checkout version produces this error. According to some reports that can be read at the link below

the issue appears for some and not for others. This will rather point to a incompatibility, maybe deleting the ".qgis2" director could help, but | would
lose all my history and settings. | will have to check that, but at the time | am under time pressure to fix some maps and for the time being | reverted
to 2.4.

There is definitely a problem but we need to find what that is. There are other issues with the composer most likely due to the same incompatibility (

2025-04-28 2/3


https://gis.stackexchange.com/questions/120887/zebra-grid-is-not-displayed-in-map-composer/127740#127740

for example : the map is set by default to rectangle and after changing it to Render the map takes minutes to appear; but this is for another bug

report perhaps)

[[https://gis.stackexchange.com/questions/120887/zebra-grid-is-not-displayed-in-map-composer/127740#127740]]

the original issue was about the zebra frame not showing at all when creating a layout from scratch. This issue was then solved during qgis 2.6
development.

The issue you raise is different, it is about a problem that surfaces when you open a layout in qgis 2.6.1 of a project that was done with a previous qgis
release. This needs a new ticket. If it is a configuration issue to test you don't need to delete the .qgis2 folder, you can just temporarily rename it (and

restart qgis).

#10 - 2014-12-29 09:40 AM - Bogdan Hlevca

OK, I'll open a new bug report

Files

46.png 138 KB 2014-07-23 matteo ghetta
shapefile.zip 7.71 KB 2014-07-23 matteo ghetta
files.zip 11.1 KB 2014-07-23 matteo ghetta
